<template>
  <div>
    <h1>Your Greetings:</h1>
    <ul>
      <li v-for="greeting in greetings" v-bind:key="greeting['id']">
        {{ greeting["attributes"]["message"] }}
        <greeting-update v-bind:greeting="greeting" />
        <greeting-delete v-bind:greeting="greeting" />
      </li>
    </ul>
  </div>
</template>

<script>
import GreetingUpdate from "@/components/greeting/update.vue";
import GreetingDelete from "@/components/greeting/delete.vue";
import { mapActions } from "vuex";
import { mapGetters } from "vuex";

// @vuese
// This component lists all greetings
export default {
  name: "greeting-list",
  components: {
    GreetingUpdate,
    GreetingDelete,
  },
  mounted() {
    this.getGreetings();
  },
  computed: {
    ...mapGetters("greetings", ["allGreetings"]),
    greetings: {
      get() {
        return this.allGreetings;
      },
    },
  },
  methods: {
    ...mapActions("greetings", ["getGreetings"]),
  },
};
</script>

<style scoped lang="scss">
li > * {
  display: inline;
}
</style>
